#12 vde2 does not compile on Fedora 9 ( F9 )

closed
None
5
2008-06-26
2008-05-10
Gerry Reno
No

On Fedora 9 I'm seeing some errors in building vde2. First it complains about libpcap being too old yet it is the latest version available:

Configure results:

vde_cryptcab : enabled
tuntap support : enabled
pcap support : disabled
configure: WARNING: VDE packet dump plugin has been disabled because libpcap is
not installed on your system, or because it's too old.
Please install it if you want pdump to be compiled and installed.
experimental features : disabled

]$ su - -c "yum list libpcap"
Password:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* updates: ftp.ndlug.nd.edu
* adobe-linux-i386: linuxdownload.adobe.com
* fedora: ftp.ndlug.nd.edu
updates | 2.4 kB 00:00
primary.sqlite.bz2 | 6.1 MB 00:06
adobe-linux-i386 | 951 B 00:00
fedora | 2.4 kB 00:00
primary.sqlite.bz2 | 6.1 MB 00:06
Installed Packages
libpcap.i386 14:0.9.8-2.fc9 installed

Next there are some variable issues:

tcp_subr.c: In function 'tcp_fconnect':
tcp_subr.c:412: warning: unused variable 'opt'
depbase=`echo tcp2unix.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -DHAVE_CONFIG_H -I. -I.. -DVDE -g -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT tcp2unix.o -MD -MP -MF $depbase.Tpo -c -o tcp2unix.o tcp2unix.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo slirpvde.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -DHAVE_CONFIG_H -I. -I.. -DVDE -g -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT slirpvde.o -MD -MP -MF $depbase.Tpo -c -o slirpvde.o slirpvde.c &&\
mv -f $depbase.Tpo $depbase.Po
bootp.c: In function 'bootp_reply':
bootp.c:267: warning: implicit declaration of function 'client_eth_register'
slirpvde.c:54: error: '_POSIX_PATH_MAX' undeclared here (not in a function)
slirpvde.c: In function 'save_pidfile':
slirpvde.c:79: error: 'PATH_MAX' undeclared (first use in this function)
slirpvde.c:79: error: (Each undeclared identifier is reported only once
slirpvde.c:79: error: for each function it appears in.)
slirpvde.c: In function 'main':
slirpvde.c:417: error: 'PATH_MAX' undeclared (first use in this function)
slirpvde.c:372: warning: unused variable 'i'
make[2]: *** [slirpvde.o] Error 1

Discussion

  • Gerry Reno

    Gerry Reno - 2008-05-10

    Logged In: YES
    user_id=753835
    Originator: YES

    Seems like it's not including limits.h.

    ????

     
  • Luca Bigliardi

    Luca Bigliardi - 2008-06-11
    • assigned_to: nobody --> shammash
    • status: open --> pending
     
  • Luca Bigliardi

    Luca Bigliardi - 2008-06-11

    Logged In: YES
    user_id=1014873
    Originator: NO

    Hi!

    We've fixed "limits.h" inclusion on linux systems in svn r267,
    did you find other glitches while compiling on FC9?
    Please can you checkout and tell us if it's ok for you!

    The message about libpcap appears either if the header files are not there OR
    if version is too old.

    Usually linux distributions ship with separate packages for headers and
    other develompent stuff (e.g. on ubuntu/debian you have libpcap-dev).
    Please check if you have such package, on FC9 it should be called
    libpcap-devel.

    I'm going to close the bug as soon as you tell me svn revision 267 (or higher)
    compiles on FC9.

    Many thanks for your report!

     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks